Summary:	Nasm is a free assembler for the 80x86 series of microprocessors
Summary(es.UTF-8):	Ensamblador de red
Summary(ja.UTF-8):	Intel風の文法を持つポータブルな x86 アセンブラ
Summary(pl.UTF-8):	Nasm jest darmowym asemblerem dla procesorów z serii 80x86
Summary(pt_BR.UTF-8):	O "Netwide Assembler"
Summary(ru.UTF-8):	Netwide Assembler, переносимый x86 ассемблер с Intel-подобным синтаксисом
Summary(uk.UTF-8):	Netwide Assembler, переносимий x86 асемблер з Intel-подібним синтаксисом
Name:		nasm
Version:	2.16.01
Release:	1%{?tld}
License:	BSD
Group:		Development/Tools
Source0:	https://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	d755ba0d16f94616c2907f8cab7c748b
URL:		https://www.nasm.us/
BuildRequires:	perl-base
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	nasm-doc < 0.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NASM is an 80x86 assembler designed for portability and modularity. It
supports a range of object file formats including Linux a.out and ELF,
COFF, Microsoft 16-bit OBJ and Win32. It will also output plain binary
files. Its syntax is designed to be simple and easy to understand,
similar to Intel's but less complex. It supports Pentium, P6 and MMX
opcodes, and has macro capability. It includes a disassembler as well.

%description -l es.UTF-8
Ensamblador de red.

%description -l pl.UTF-8
NASM jest asemblerem dla procesorów 80x86 skonstruowanym z myślą o
przenośności i modularności. Obsługuje szeroką gamę plików
obiektowych, w tym linuksowe a.out i ELF, COFF, 16-bitowe OBJ
Microsoftu oraz Win32. Może także zapisywać zwykłe pliki binarne.
Składnia jest opracowana z myślą o prostocie i łatwości zrozumienia,
podobna do intelowskiej, ale mniej złożona. Zawiera obsługę instrukcji
procesórów Pentium i P6 oraz MMX, obsługuje też makra. Zawiera także
deassembler.

%description -l pt_BR.UTF-8
Este é o NASM, o "Netwide Assembler". o NASM é um assembler para a
familia x86 de processadores. Atualmente, ele sabe gerar binários
puros, a.out, COFF, ELF, Microsoft Win32 e 16 bits DOS, OS/2, as86, e
um formato "caseiro" chamado RDF.

%description -l ru.UTF-8
NASM - это Netwide Assembler, свободный переносимый ассемблер для
серии микропроцессоров Intel 80x86. Использует в основном традиционные
Интеловские мнемонику инструкций и синтаксис.

%description -l uk.UTF-8
NASM - це Netwide Assembler, вільний переносимий асемблер для серії
мікропроцесорів Intel 80x86. Використовує в основному традиційні
Інтелівські мнемоніку інструкцій та синтаксис.

%prep
%setup -q

%build
%configure

%{__make} -j1 all

%{__make} -C doc html

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README.md doc/html
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/nasm.git;a=log;h=master

* Sat Mar 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 29788ca
- updated to 2.16.01 (rdoff support removed; last version of rdoff tools saved in nasm-rdoff.spec)

* Sat Jan 16 2021 Jakub Bogusz <qboosh@pld-linux.org> bded9c5
- updated to 2.15.05

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> c81d864
- updated to 2.14.02

* Fri Nov 09 2018 Adam Gołębiowski <adamg@pld-linux.org> d74367b
- updated to 2.14

* Mon Dec 18 2017 Jakub Bogusz <qboosh@pld-linux.org> f5a60ee
- updated to 2.13.02

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 2b6ee10
- cleanup

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> f65229b
- updated to 2.13.01
- info docs format support is gone, removed outdated info patch; package HTML docs instead

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b3ffea3
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 1f0af09
- tar.xz deps

* Thu Dec 25 2014 Jan Rękorajski <baggins@pld-linux.org> f67a8b3
- up to 2.11.06

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2f3d9c1
- 2.10.07

* Tue Mar 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 564e18d
- up to 2.10

* Wed Feb 15 2012 Jan Rękorajski <baggins@pld-linux.org> 87209ec
- 2.09.10

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> de4ba5d
- dropped pre-cvs changelog

* Wed Jul 21 2010 Krzysztof Goliński <dirdival@pld-linux.org> 4b0cbf2
- updated to 2.08.02

* Fri Mar 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 975ac14
- up to 2.08.01

* Sat Aug 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ebcdcd5
- nasm license is now BSD

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b4fbbbc
- up to 2.07

* Sat Jul 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 668b214
- up to 2.06

* Sun Nov 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 37e0894
- up to 2.05.01

